Replace excluded people
curl --request PUT \
--url https://intentleads.si/api/v1/exclusions/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"jordan.lee@example.com"
],
"email_sha256": [],
"linkedin": [
"https://www.linkedin.com/in/sam-rivera-example"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['jordan.lee@example.com'],
email_sha256: [],
linkedin: ['https://www.linkedin.com/in/sam-rivera-example']
})
};
fetch('https://intentleads.si/api/v1/exclusions/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/exclusions/people"
payload = {
"emails": ["jordan.lee@example.com"],
"email_sha256": [],
"linkedin": ["https://www.linkedin.com/in/sam-rivera-example"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"changed": 900,
"dropped_invalid": 3,
"people": 900,
"updated_at": "2026-10-14T09:30:00.000Z"
}
Replace excluded people
Replaces everyone on the list with the people you send. Same body as Leave out people.
Free. This doesn’t use any contacts from your plan.
PUT
/
api
/
v1
/
exclusions
/
people
Replace excluded people
curl --request PUT \
--url https://intentleads.si/api/v1/exclusions/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"jordan.lee@example.com"
],
"email_sha256": [],
"linkedin": [
"https://www.linkedin.com/in/sam-rivera-example"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['jordan.lee@example.com'],
email_sha256: [],
linkedin: ['https://www.linkedin.com/in/sam-rivera-example']
})
};
fetch('https://intentleads.si/api/v1/exclusions/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/exclusions/people"
payload = {
"emails": ["jordan.lee@example.com"],
"email_sha256": [],
"linkedin": ["https://www.linkedin.com/in/sam-rivera-example"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"changed": 900,
"dropped_invalid": 3,
"people": 900,
"updated_at": "2026-10-14T09:30:00.000Z"
}
Authorizations
An Intent Leads API key, e.g. il_live_ followed by 32 letters and digits. Create one on the API and CLI page of the dashboard.
Body
application/jsontext/csvtext/plain
Response
The total now.
People added or removed by this call.
Values that weren't an email, email hash or LinkedIn profile.
Hashes held now.
Present and true after ?all=true.